Bug 240684 - locale is ignored, en_US is hardcoded
locale is ignored, en_US is hardcoded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 05:23 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 08:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-05-20 05:23:26 EDT
Description of problem:
With kde-settings-3.5-26.fc7 english language and other regional settings are
fixed entries. So if you login with a new user the default language in kde is
english, even when locale or $LANG is different.


Version-Release number of selected component (if applicable):
kde-settings-3.5-26.fc7

How reproducible:
ever

Steps to Reproduce:
1. install kde-settings-3.5-26.fc7 (and kdebase-3.5.6-12.fc7)
2. set a different locale in /etc/sysconfig/i18n
3. create a new user
4. Login into the new user
  
Actual results:
locale in kde is en_US

Expected results:
locale should be the system wide locale


Additional info:
I'm not sure but it seems that the entries in
/usr/share/kde-settings/kde-profile/default/share/config/kdeglobals are
producing this. When I delete all entries for [Locale] there, kde is starting
automatically with my normal locale.
Comment 1 Sebastian Vahl 2007-05-20 05:31:08 EDT
Oh. And the language cannot be changed with system-config-language (because the
entry there is right). It must be changed in kcontrol: Regional & Accessibility
-> Country/Region & Language -> Default.
Comment 2 Ngo Than 2007-05-21 05:16:59 EDT
it's a bug, the lang should not be is hardcoded. it's now fixed in 
kde-settings-3.5-28. It will be available in f7-update. Thanks for your report
Comment 3 Sebastian Vahl 2007-05-21 05:31:10 EDT
Thanks Than.
But could you please consider releasing this as f7final? The official kde livecd
is english only but I'm creating at least a german one (and writing a short
howto for other languages). On the livecd I could workaround this but after
installation the user must do an update first to get his language back. (And
that would be the same problem for a (a.k.a.) "prime" installation.
Comment 4 Ngo Than 2007-05-21 06:16:12 EDT
sure, i'm now building the new version, after the package built done, i will 
ask jeremy to tagg this as f7final. 
Comment 5 Rex Dieter 2007-05-21 07:45:28 EDT
Removing the locale settings is not a fix, you're just changing the defaults
from US-centric ones (imo, as it should be), back to KDE's usual
european-centric ones.

The better long-term fix would be for kde to inherit locale settings from $LANG,
which is still on my todo list, which we can/should discuss (ie, see comment #1).

<sarcasm>
Who was it again that complained recently about someone making changes without
first discussing it with their comaintainer again?  I forget... :)
</sarcasm>
Comment 6 Sebastian Vahl 2007-05-21 08:10:51 EDT
(In reply to comment #5)
> Removing the locale settings is not a fix, you're just changing the defaults
> from US-centric ones (imo, as it should be), back to KDE's usual
> european-centric ones.

...and force non US-users to change their language twice. (And first discover
what's gone wrong).


> The better long-term fix would be for kde to inherit locale settings from $LANG,
> which is still on my todo list, which we can/should discuss (ie, see comment #1).

Could you please wait until deep freeze is over for such changes? ATM kde in
rawhide is broken and so only a few persons tests the actual kde packages. And
we have only one week...

(Don't get me wrong: I don't want to say what you have to do. But if F7Final
ships kde-settings-3.5-26.fc7 (which is broken in my eyes) I invite you to
explain every single kde user in our german forum how to _really_ change the
language back to german (this is neither in the release notes nor the
web-release notes and you've said that kde is unable to detect $LANG atm).
</sarcasm>)
Comment 7 Sebastian Vahl 2007-05-21 08:15:34 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Removing the locale settings is not a fix, you're just changing the defaults
> > from US-centric ones (imo, as it should be), back to KDE's usual
> > european-centric ones.
> 
> ...and force non US-users to change their language twice. (And first discover
> what's gone wrong).

Err
...and _don't_ force non US-users to change their language twice. (And first
discover what's gone wrong).
Comment 8 Rex Dieter 2007-05-21 08:24:47 EDT
> ... non US-users to change their language twice

Somebody will not like the defaults, regardless.  Previously, it was US-users,
now it's not.  Fact is, fedora is a US distribution, so that's why I set things
the way that are (were).  

I'm open to being overuled, if most folks feel otherwise, but this requires
discussion.

> Could you please wait until deep freeze is over for such changes?

$KDE_LANG inheriting from $LANG?
Of course, there is no easy quick-fix for the "locale is ignored" problem, which
*still* exists, btw, even after Than's changes/reverts.
Comment 9 Sebastian Vahl 2007-05-21 08:31:52 EDT
(In reply to comment #8)
> > ... non US-users to change their language twice
> 
> Somebody will not like the defaults, regardless.  Previously, it was US-users,
> now it's not.

Can you please explain this? In an english only installation the language was
not english (or american english)? So that somebody has too use kcontrol to set
it to english?
Comment 10 Rex Dieter 2007-05-21 08:39:51 EDT
> So that somebody has too use kcontrol to set it to english?

No, to set US-defaults, like imperial units, 

I think I can agree that
-Language=en_US
can go regardless, but the rest of kdeglobals' [Locale] group warrants discussion.
Comment 11 Rex Dieter 2007-05-21 08:41:10 EDT
(re)closing->rawhide.

I can open a separate RFE bug to track $LANG --> $KDE_LANG inheritance.
Comment 12 Ngo Than 2007-05-21 09:15:08 EDT
Rex, the above fix (change) is not a regression, it's a revert of your broken 
change in kde-settings. What you have changed here was not correct.
The correct fix should be done in kdelibs, but hardcode locale in the kde 
config file is wrong. It's very bad that you have done such change in
f7final freeze.

You can please open a new bug in kdelibs so it can be fixed in the future. 
Thanks

Than

Note You need to log in before you can comment on or make changes to this bug.